Just updated to CloudLink 2.2.1 and got an install error

Post your questions about myQNAPcloud service here.
Post Reply
dhodory
Starting out
Posts: 26
Joined: Mon Nov 23, 2009 10:36 pm
Location: Southwest Ohio

Just updated to CloudLink 2.2.1 and got an install error

Post by dhodory » Wed Apr 24, 2019 9:59 am

I am running QTS 4.2.6 (which is up to date for my particular QNAP NAS) and had several updates waiting for me in the App Center when I logged in tonight. Got a little lazy and clicked update all - and ran into trouble. Several apps errored out on their installation and when I hit "cancel" it completely uninstalled them. Now when I search the App Center, I can only see the most recent apps - none of which will install.

The most important of which is CloudLink. App Center tried to update me to 2.2.1 but I got an error message telling me "wrong architecture CloudLink 2.2.1 built for x86_64". So not only did the update not install, but the old app is gone and I cannot re-download the old version.

As a result, I can no longer use QNAP MyCloud, which is a vital use case for me.

Any idea on how to download a previous version of CloudLink that will work with my QNAP NAS?

thegapman
New here
Posts: 2
Joined: Tue Jul 10, 2012 12:07 pm

Re: Just updated to CloudLink 2.2.1 and got an install error

Post by thegapman » Sun Jun 09, 2019 9:24 am

I have the same issue so if you find a solution please post it here. Thanks.

thegapman
New here
Posts: 2
Joined: Tue Jul 10, 2012 12:07 pm

Re: Just updated to CloudLink 2.2.1 and got an install error

Post by thegapman » Sun Jun 09, 2019 9:47 am

I just found where you can find the older version of the apps.

https://www.qnap.com/en/app_center/?qts ... at_choose=

Download to your PC and then go to the app center and using the gear symbol on the upper right you can install directly.

Post Reply

Return to “myQNAPcloud service”